Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Protected Attributes | List of all members
EventManager Class Reference

## Public Member Functions
| __init__ (self, eventQueue=None)
| doEvents (self)
| eventLoopTask (self, task)
| parseEventParameter (self, eventParameter)
| processEvent (self, event)
| processEventPstats (self, event)
| restart (self)
| shutdown (self)

## Public Attributes
| eventHandler = None
| eventLoopTask = EventHandler(self.eventQueue)
| eventQueue = eventQueue

## Static Public Attributes
| do_events = doEvents
| notify = None
| process_event = processEvent

## Protected Attributes
| _wantPstats = ConfigVariableBool('pstats-eventmanager', False)

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | eventQueue = None )

    Create a C++ event queue and handler

## Member Function Documentation

## ◆ doEvents()

doEvents | ( |  | self | ) |

    Process all the events on the C++ event queue

## ◆ eventLoopTask()

eventLoopTask | ( |  | self,
|  |  | task )

    Process all the events on the C++ event queue

## ◆ parseEventParameter()

parseEventParameter | ( |  | self,
|  |  | eventParameter )

    Extract the actual data from the eventParameter

## ◆ processEvent()

processEvent | ( |  | self,
|  |  | event )

    Process a C++ event
    Duplicate any changes in processEventPstats

## ◆ processEventPstats()

processEventPstats | ( |  | self,
|  |  | event )

    Process a C++ event with pstats tracking
    Duplicate any changes in processEvent

## ◆ restart()

restart | ( |  | self | ) |

## ◆ shutdown()

shutdown | ( |  | self | ) |

## Member Data Documentation

## ◆ _wantPstats

_wantPstats = ConfigVariableBool('pstats-eventmanager', False)
| protected

## ◆ do_events

do_events = doEvents
| static

## ◆ eventHandler

eventHandler = None

## ◆ eventLoopTask

eventLoopTask = EventHandler(self.eventQueue)

## ◆ eventQueue

eventQueue = eventQueue

## ◆ notify

notify = None
| static

## ◆ process_event

process_event = processEvent
| static